---
updatedAt: 2026-03-09T09:08:20.000Z
---

# Cancel Contract Recall

Cancel the recall only if it has status PENDING_SUBMISSION.
Contract returns can not be created from canceled Contract Recalls.
Canceled Recalls are not visible to the borrower.


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Managed SBL API",
    "description": "Managed SBL APIs",
    "version": "1.0.0"
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "agora-mtls.clearstreet.io"
    }
  ],
  "paths": {
    "/agora/v1/loans/recalls/cancel": {
      "post": {
        "summary": "Cancel Contract Recall",
        "description": "Cancel the recall only if it has status PENDING_SUBMISSION.\nContract returns can not be created from canceled Contract Recalls.\nCanceled Recalls are not visible to the borrower.\n",
        "tags": [
          "Contracts"
        ],
        "operationId": "cancelRecall",
        "parameters": [
          {
            "name": "recallIds",
            "required": true,
            "description": "A list of recallIds to cancel.",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "format": "UUID"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RecallListResponseDTO"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "RecallListResponseDTO": {
        "type": "object",
        "required": [
          "data",
          "count"
        ],
        "properties": {
          "data": {
            "description": "The list of Recalls that match the query parameters.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RecallDTO"
            }
          },
          "count": {
            "type": "integer",
            "description": "The count of Recalls in the data array."
          }
        }
      },
      "RecallDTO": {
        "required": [
          "id",
          "contractId",
          "contractReturnId",
          "recallStatus",
          "recallDate",
          "quantity",
          "isin",
          "ticker",
          "countryCode",
          "currencyCode",
          "createdAt",
          "createdBy",
          "updatedAt",
          "updatedBy"
        ],
        "properties": {
          "id": {
            "type": "string",
            "format": "UUID",
            "example": "5c1a9f04-4618-4d94-ddbb-02d6c236c981",
            "description": "The unique identifier for the Recall."
          },
          "contractId": {
            "type": "string",
            "format": "UUID",
            "example": "5c1a9f04-4618-4d94-ddbb-02d6c236c981",
            "description": "The unique identifier for the Contract that is associated with the Recall."
          },
          "contractReturnId": {
            "type": "string",
            "format": "UUID",
            "example": "5c1a9f04-4618-4d94-ddbb-02d6c236c981",
            "description": "The unique identifier for the Contract Return that is associated with the Recall."
          },
          "recallStatus": {
            "type": "string",
            "enum": [
              "PENDING_SUBMISSION",
              "SUBMITTED",
              "RETURN_CREATED",
              "CANCELED",
              "RECALLED"
            ],
            "description": "The status that a Recall is currently in. Recalls in PENDING_SUBMISSION are not visible to the borrower.",
            "example": "PENDING_SUBMISSION"
          },
          "recallDate": {
            "type": "string",
            "format": "date",
            "example": "2025-02-12",
            "description": "The business date that this Recall was created on."
          },
          "quantity": {
            "type": "integer",
            "format": "int64",
            "example": 100,
            "description": "The quantity of shares requested to be returned."
          },
          "isin": {
            "type": "string",
            "minLength": 12,
            "maxLength": 12,
            "description": "The 3 character ISO 3166 country code that is associated with the ISIN.",
            "example": "US0378331005"
          },
          "ticker": {
            "type": "string",
            "example": "AAPL",
            "description": "The ticker symbol that is associated with the ISIN."
          },
          "countryCode": {
            "type": "string",
            "minLength": 3,
            "maxLength": 3,
            "example": "USA",
            "description": "The 3 character ISO 3166 country code that is associated with the ISIN."
          },
          "currencyCode": {
            "type": "string",
            "minLength": 3,
            "maxLength": 3,
            "example": "USD",
            "description": "The 3 character ISO 4217 currency code that is associated with the ISIN."
          },
          "contractGroupId": {
            "type": "string",
            "format": "uuid",
            "description": "The unique identifier for the Contract Group that this Recall is associated with."
          },
          "createdAt": {
            "type": "string",
            "format": "date-time",
            "description": "The UTC timestamp when this Recall was created.",
            "example": "2025-03-07T06:27:36.160872-05:00"
          },
          "updatedAt": {
            "type": "string",
            "format": "date-time",
            "description": "The UTC timestamp when this Recall was last updated.",
            "example": "2025-03-07T06:27:36.160872-05:00"
          }
        }
      }
    }
  }
}
```